Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2187443003: Convert Ozone wayland to directly create GLSurfaces. (Closed)

Created:
1 year, 3 months ago by kylechar
Modified:
1 year, 3 months ago
CC:
chromium-reviews, kalyank, ozone-reviews_chromium.org, joone
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert Ozone wayland to directly create GLSurfaces. The Ozone wayland platform now directly creates an appropriate GLSurface instead of creating a SurfaceOzoneEGL. Remove the SurfaceOzoneEGL subclass and add a new GLSurface subclass. BUG=611142 Committed: https://crrev.com/ee79ef399c3f4d2e3652981674eac9347e4b6a1a Cr-Commit-Position: refs/heads/master@{#408631}

Patch Set 1 #

Patch Set 2 : Fixes. #

Total comments: 2

Patch Set 3 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+173 lines, -154 lines) Patch
M ui/ozone/platform/wayland/BUILD.gn View 1 chunk +2 lines, -2 lines 0 comments Download
A ui/ozone/platform/wayland/gl_surface_wayland.h View 1 chunk +49 lines, -0 lines 0 comments Download
A ui/ozone/platform/wayland/gl_surface_wayland.cc View 1 chunk +71 lines, -0 lines 0 comments Download
M ui/ozone/platform/wayland/wayland.gypi View 1 chunk +2 lines, -2 lines 0 comments Download
D ui/ozone/platform/wayland/wayland_egl_surface.h View 1 1 chunk +0 lines, -51 lines 0 comments Download
D ui/ozone/platform/wayland/wayland_egl_surface.cc View 1 1 chunk +0 lines, -79 lines 0 comments Download
M ui/ozone/platform/wayland/wayland_surface_factory.h View 1 2 2 chunks +10 lines, -2 lines 0 comments Download
M ui/ozone/platform/wayland/wayland_surface_factory.cc View 1 2 3 chunks +38 lines, -17 lines 0 comments Download
M ui/ozone/public/surface_factory_ozone.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 16 (5 generated)
kylechar
1 year, 3 months ago (2016-07-26 16:26:26 UTC) #3
kylechar
+forney for wayland review since it looks like you've been main contributor. Also worth noting ...
1 year, 3 months ago (2016-07-26 17:04:47 UTC) #5
rjkroege
On 2016/07/26 17:04:47, kylechar wrote: > +forney for wayland review since it looks like you've ...
1 year, 3 months ago (2016-07-26 21:36:20 UTC) #6
rjkroege
https://codereview.chromium.org/2187443003/diff/40001/ui/ozone/public/surface_factory_ozone.cc File ui/ozone/public/surface_factory_ozone.cc (right): https://codereview.chromium.org/2187443003/diff/40001/ui/ozone/public/surface_factory_ozone.cc#newcode27 ui/ozone/public/surface_factory_ozone.cc:27: return true; Other platforms not in tree may be ...
1 year, 3 months ago (2016-07-26 21:36:29 UTC) #7
Michael Forney
On 2016/07/26 17:04:47, kylechar wrote: > +forney for wayland review since it looks like you've ...
1 year, 3 months ago (2016-07-26 22:57:59 UTC) #8
kylechar
On 2016/07/26 22:57:59, Michael Forney wrote: > On 2016/07/26 17:04:47, kylechar wrote: > > +forney ...
1 year, 3 months ago (2016-07-28 19:39:01 UTC) #9
kylechar
I got Weston 1.11 running on a VM. Running "./chrome --mash --no-sandbox --ozone-platform=wayland" draws parts ...
1 year, 3 months ago (2016-07-28 21:22:46 UTC) #10
rjkroege
lgtm
1 year, 3 months ago (2016-07-28 22:11:17 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2187443003/60001
1 year, 3 months ago (2016-07-29 12:48:17 UTC) #13
commit-bot: I haz the power
Committed patchset #3 (id:60001)
1 year, 3 months ago (2016-07-29 13:47:04 UTC) #14
commit-bot: I haz the power
1 year, 3 months ago (2016-07-29 13:48:54 UTC) #16
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/ee79ef399c3f4d2e3652981674eac9347e4b6a1a
Cr-Commit-Position: refs/heads/master@{#408631}

Powered by Google App Engine
This is Rietveld efc10ee0f